tigase.xmpp.impl

## Class OfflineMessages

- java.lang.Object
- - tigase.xmpp.XMPPProcessor
  - - tigase.xmpp.impl.OfflineMessages

- All Implemented Interfaces:
    Comparable<XMPPImplIfc>, XMPPImplIfc, XMPPPostprocessorIfc, XMPPProcessorIfc

      public class OfflineMessages
      extends XMPPProcessor
      implements XMPPPostprocessorIfc, XMPPProcessorIfc

  Describe class OfflineMessages here. Created: Mon Oct 16 13:28:53 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `XMLNS` Field description

    - ### Fields inherited from class tigase.xmpp.XMPPProcessor

      `ALL_NAMES, ALL_PATHS, cmpInfo`

    - ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

      `CLIENT_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OfflineMessages()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `concurrentQueuesNo()` Method description
    `protected MsgRepositoryIfc` | `getMsgRepoImpl(NonAuthUserRepository repo, XMPPResourceConnection conn)` Method description
    `String` | `id()` Describe `id` method here.
    `protected boolean` | `loadOfflineMessages(Packet packet, XMPPResourceConnection conn)` Method description
    `void` | `postProcess(Packet packet, XMPPResourceConnection conn, NonAuthUserRepository repo, Queue<Packet> queue, Map<String,Object> settings)` Describe `postProcess` method here.
    `void` | `process(Packet packet, XMPPResourceConnection conn, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Describe `process` method here.
    `Queue<Packet>` | `restorePacketForOffLineUser(XMPPResourceConnection conn, MsgRepositoryIfc repo)` Method description
    `boolean` | `savePacketForOffLineUser(Packet pac, MsgRepositoryIfc repo)` Method description
    `tigase.xml.Element[]` | `supDiscoFeatures(XMPPResourceConnection session)` Describe `supDiscoFeatures` method here.
    `String[][]` | `supElementNamePaths()` Describe `supElements` method here.
    `String[]` | `supNamespaces()` Describe `supNamespaces` method here.

    - ### Methods inherited from class tigase.xmpp.XMPPProcessor

      `canHandle, compareTo, concurrentThreadsPerQueue, getComponentInfo, getInstance, getStatistics, init, isSupporting, supElements, supStreamFeatures, supTypes, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

      `canHandle, concurrentThreadsPerQueue, getComponentInfo, getStatistics, init, isSupporting, supElements, supStreamFeatures, supTypes`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### XMLNS

          protected static final String XMLNS

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OfflineMessages

          public OfflineMessages()

  - ### Method Detail

    - #### concurrentQueuesNo

          public int concurrentQueuesNo()

      Method description
      Specified by:
        `concurrentQueuesNo` in interface `XMPPImplIfc`
      Overrides:
        `concurrentQueuesNo` in class `XMPPProcessor`
      Returns:
        an integer preferred number of processing threads for the plugin.

    - #### id

          public String id()

      Describe `id` method here.
      Specified by:
        `id` in interface `XMPPImplIfc`
      Returns:
        a `String` value

    - #### postProcess

          public void postProcess(Packet packet,
                         XMPPResourceConnection conn,
                         NonAuthUserRepository repo,
                         Queue<Packet> queue,
                         Map<String,Object> settings)

      Describe `postProcess` method here.
      Specified by:
        `postProcess` in interface `XMPPPostprocessorIfc`
      Parameters:
        `packet` - a `Packet` value
        `conn` - a `XMPPResourceConnection` value
        `repo` - a `NonAuthUserRepository` value
        `queue` - a `Queue` value
        `settings` -

    - #### process

          public void process(Packet packet,
                     XMPPResourceConnection conn,
                     NonAuthUserRepository repo,
                     Queue<Packet> results,
                     Map<String,Object> settings)
                       throws NotAuthorizedException

      Describe `process` method here.
      Specified by:
        `process` in interface `XMPPProcessorIfc`
      Parameters:
        `packet` - a `Packet` value
        `conn` - a `XMPPResourceConnection` value
        `repo` - a `NonAuthUserRepository` value
        `results` - a `Queue` value
        `settings` -
      Throws:
        `NotAuthorizedException`

    - #### restorePacketForOffLineUser

          public Queue<Packet> restorePacketForOffLineUser(XMPPResourceConnection conn,
                                                  MsgRepositoryIfc repo)
                                                    throws UserNotFoundException,
                                                           NotAuthorizedException

      Method description
      Parameters:
        `conn` -
        `repo` -
      Throws:
        `UserNotFoundException`
        `NotAuthorizedException`

    - #### savePacketForOffLineUser

          public boolean savePacketForOffLineUser(Packet pac,
                                         MsgRepositoryIfc repo)
                                           throws UserNotFoundException

      Method description
      Parameters:
        `pac` -
        `repo` -
      Throws:
        `UserNotFoundException`

    - #### supDiscoFeatures

          public tigase.xml.Element[] supDiscoFeatures(XMPPResourceConnection session)

      Describe `supDiscoFeatures` method here.
      Specified by:
        `supDiscoFeatures` in interface `XMPPImplIfc`
      Overrides:
        `supDiscoFeatures` in class `XMPPProcessor`
      Parameters:
        `session` - a `XMPPResourceConnection` value
      Returns:
        a `String[]` value

    - #### supElementNamePaths

          public String[][] supElementNamePaths()

      Describe `supElements` method here.
      Specified by:
        `supElementNamePaths` in interface `XMPPImplIfc`
      Overrides:
        `supElementNamePaths` in class `XMPPProcessor`
      Returns:
        a `String[]` value

    - #### supNamespaces

          public String[] supNamespaces()

      Describe `supNamespaces` method here.
      Specified by:
        `supNamespaces` in interface `XMPPImplIfc`
      Overrides:
        `supNamespaces` in class `XMPPProcessor`
      Returns:
        a `String[]` value

    - #### getMsgRepoImpl

          protected MsgRepositoryIfc getMsgRepoImpl(NonAuthUserRepository repo,
                                        XMPPResourceConnection conn)

      Method description
      Parameters:
        `repo` -
        `conn` -

    - #### loadOfflineMessages

          protected boolean loadOfflineMessages(Packet packet,
                                    XMPPResourceConnection conn)

      Method description
      Parameters:
        `packet` -
        `conn` -

Copyright © 2013 Tigase. All rights reserved.